Skip to content

List Users

POST
/enum.api.v1.ObjectStorageUserService/ListObjectStorageUsers
object
projectId
string
page
object
pageSize
integer format: int32
pageToken
string

OK

object
objectStorageUsers
Array<object>
object
id
string
projectId
string
displayName

Deprecated: use name instead. This field is still populated on responses for backwards compatibility and will be removed in a future API version.

string
createdBy
string
createdAt
string format: date-time
updatedAt
string format: date-time
status
string format: enum
Allowed values: RESOURCE_STATUS_UNSPECIFIED RESOURCE_STATUS_PROVISIONING RESOURCE_STATUS_READY RESOURCE_STATUS_FAILED RESOURCE_STATUS_DELETING
name

Unique name of the object storage user within the project. Replaces display_name.

string
regionId

Region where the user lives (e.g. “fra”).

string
page
object
nextPageToken
string
totalCount
integer format: int32